%define upstream_name WWW-Search-Lycos
%define upstream_version 2.225

%{?perl_default_filter}


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Summary:    Class for searching www.lycos.com
Release:    %mkrel 6
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Search::Test) >= 2.210.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
This class is a Lycos specialization of WWW::Search.  It handles
making and interpreting Lycos-site searches http://www.lycos.com.

This class exports no public interface; all interaction should
be done through WWW::Search objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

# make test don't work...
#make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/WWW/Search/Lycos.pm
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.225.0-6.mga8
+ Revision: 1506961
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.225.0-5.mga7
+ Revision: 1287281
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.225.0-4.mga7
+ Revision: 1167389
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.225.0-3.mga7
+ Revision: 1157371
- fix build

* Sun Jun 19 2016 pterjan <pterjan> 2.225.0-2.mga6
+ Revision: 1035868
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.225.0-1.mga6
+ Revision: 1002332
- update to 2.225

* Tue Feb 02 2016 umeabot <umeabot> 2.224.0-5.mga6
+ Revision: 931725
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.224.0-4.mga5
+ Revision: 743817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.224.0-3.mga5
+ Revision: 686865
- Mageia 5 Mass Rebuild

* Sun Oct 20 2013 umeabot <umeabot> 2.224.0-2.mga4
+ Revision: 536820
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 2.224.0-1.mga4
+ Revision: 485723
- update to 2.224

* Sun Jan 13 2013 umeabot <umeabot> 2.223-3.mga3
+ Revision: 374806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.223-2.mga1
+ Revision: 31455
- mageia rebuild
- imported package perl-WWW-Search-Lycos


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.223-2mdv2010.0
+ Revision: 440761
- rebuild

* Tue Dec 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.223-1mdv2009.1
+ Revision: 314760
- update to new version 2.223

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.221-6mdv2009.0
+ Revision: 242161
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 2.221-4mdv2008.0
+ Revision: 25466
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.221-3mdv2008.0
+ Revision: 23566
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.221-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.221-1mdk
- initial Mandriva package

